#tree {
  @apply pl-3.5 break-words;

  li {
    @apply relative -ml-3.5 border-l-2 border-slate-400 pl-7 mt-2 pt-1;

    &:last-child {
      @apply border-transparent;
    }

    &:before {
      @apply absolute -left-0.5 -top-5 h-9 w-4 border-b-2 border-l-2 border-slate-400 content-[''];
    }

    &:after {
      @apply absolute left-2 top-2 z-10 h-3 w-3 rounded border-2 border-slate-400 bg-white content-[''];
    }
  }

  > li:first-child:before {
    @apply border-l-transparent;
  }

  .row {
    @apply flex;

    /* Give all rows equal width, in order to position the sub elements */
    margin-left: -1.875rem;
    align-items: flex-start;

    .organization {
      margin-left: 1.875rem; /* Note: instead of padding on the parent element, since that affects the (flex) width */
    }
  }

  li li .row {
    margin-left: -2.875rem;

    .organization {
      margin-left: 2.875rem;
    }
  }

  li li li .row {
    margin-left: -3.875rem;

    .organization {
      margin-left: 3.875rem;
    }
  }

  li li li li .row {
    margin-left: -4.875rem;

    .organization {
      margin-left: 4.875rem;
    }
  }

  li li li li li .row {
    margin-left: -5.875rem;

    .organization {
      margin-left: 5.875rem;
    }
  }

  .organization {
    @apply flex-grow;
  }

  .activity {
    @apply relative w-1/3;

    button.info {
      @apply relative -my-1 align-middle text-slate-400 hover:text-slate-500;

      svg {
        @apply h-5 w-5;
      }
    }

    div.details {
      @apply absolute left-0 right-4 top-8 z-20 whitespace-normal rounded bg-slate-600 px-2.5 py-1.5 text-left text-white pb-4;
    }

    ul {
      @apply list-disc pl-4;
    }

    li {
      @apply ml-0 mt-0 border-l-0 pl-0;

      &:before,
      &:after {
        @apply hidden;
      }
    }

    h4 {
      @apply mb-2 font-semibold;
    }
  }

  .time {
    @apply flex w-1/3 rounded-md bg-slate-200 p-1 text-xs -mt-1;

    span {
      @apply rounded bg-white/50 px-1.5 py-0.5 first:mr-auto;
    }
  }

  .row-0 {
    &:after {
      @apply border-emerald-400 bg-emerald-300;
    }

    & > .row > .time {
      @apply bg-emerald-300;
    }
  }

  .row-1 {
    &:after {
      @apply border-sky-400 bg-sky-300;
    }

    & > .row > .time {
      @apply bg-sky-300;
    }
  }

  .row-2 {
    &:after {
      @apply border-violet-400 bg-violet-300;
    }

    & > .row > .time {
      @apply bg-violet-300;
    }
  }

  .row-3 {
    &:after {
      @apply border-orange-400 bg-orange-300;
    }

    & > .row > .time {
      @apply bg-orange-300;
    }
  }

  .row-4 {
    &:after {
      @apply border-slate-400 bg-slate-300;
    }

    & > .row > .time {
      @apply bg-slate-300;
    }
  }

  .row-5 {
    &:after {
      @apply border-rose-400 bg-rose-300;
    }

    & > .row > .time {
      @apply bg-rose-300;
    }
  }
}
